System.ServiceModel 4.0.0.0 System.Object To be added.

Configures the security settings of a basicHttpBinding binding.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Property
  4.0.0.0
  System.ServiceModel.BasicHttpMessageSecurity To be added.

  The default security settings are: a of ; and an of .

  Gets the message-level security settings for a basicHttpBinding binding.

- Property
  4.0.0.0
  System.ServiceModel.BasicHttpSecurityMode To be added.

  The value of this property affects which settings in or become effective.

  Gets or sets the security mode for a basicHttpBinding binding.

- Property
  4.0.0.0
  System.ServiceModel.HttpTransportSecurity To be added.

  The object returned by this property contains properties that control authentication parameters for the HTTP transport.

  Gets the transport-level security settings for a basicHttpBinding binding.